#!/bin/bash

BASE_URL=https://git.cringe-studios.com/CringeStudios/cloud-computing/raw/branch/main/loadbalancer
HOSTNAME=team07-loadbalancer

apt update
apt install -y docker docker-compose

hostnamectl set-hostname $HOSTNAME
systemctl enable --now docker

cd /home/ubuntu
wget -O docker-compose.yml $BASE_URL/docker-compose.yml
wget -O .env $BASE_URL/.env
wget -O lb-httpd.conf $BASE_URL/lb-httpd.conf
wget -O httpd-vhosts.conf $BASE_URL/httpd-vhosts.conf

chmod 644 lb-httpd.conf httpd-vhosts.conf
